Summary:	Bluedj online games
Name:		bluedj
Version:	3.2.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Games/Other
URL:		http://www.bluedj.com/
Source0:	http://www.bluedj.com/download/src/source-%{version}.zip
Source1:	%{name}
Patch0:		bluedj-3.2.0-use-xdg-open.patch
Patch1:		bluedj-3.2.0-gcc4.3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# fwang: The main pacakge is a meta package that requires all the games.
Requires:	%{name}-hall, %{name}-blackjack, %{name}-chaodip, %{name}-chinesechess
Requires:	%{name}-chudd, %{name}-gdmahjong, %{name}-gongzhu, %{name}-interlink
Requires:	%{name}-landbattle, %{name}-landlord, %{name}-mahjong, %{name}-niuniu
Requires:	%{name}-renju, %{name}-shisensho, %{name}-suoha, %{name}-upgrade
BuildRequires:	qt4-devel
BuildRequires:	sed

%description
Bluedj is a set of popular online games, including Upgrade, Mahjong, etc.

%prep
%setup -q -n source-%{version}
%patch0 -p0
%patch1 -p1

%build
sed -i 's|qmake|%{qt4bin}/qmake QMAKE_CFLAGS="%optflags -DPIC -fPIC" QMAKE_CXXFLAGS="%optflags -DPIC -fPIC" QMAKE_LFLAGS="%{?ldflags}"|' make_linux*
chmod +x make_linux*
./make_linux_release

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%_iconsdir
mv -f Hall/build/logo.png %{buildroot}%_iconsdir/%{name}.png
rm -f Hall/build/install Hall/build/Thumbs.db Hall/build/UpdateHall

mkdir -p %{buildroot}%_libdir/%{name}
cp -fr Hall/build/* %{buildroot}%_libdir/%{name} --no-preserve=mode
chmod +x %{buildroot}%_libdir/%{name}/Hall

install -d %{buildroot}%_bindir
cat %SOURCE1 | sed -e 's|LIBDIR|%{_libdir}|' > %{buildroot}%_bindir/%{name}
chmod 0755 %{buildroot}%_bindir/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=BlueDJ
Comment=A client connecting to BlueDJ online games
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=QT;X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.GPL

%package hall
Summary:	Bluedj online games - gaming hall
Group:		Games/Other
Requires:	xdg-utils
%description hall
The bluedj-hall package includes the game hall executable and misc files.

%files hall
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/Hall
%{_libdir}/%{name}/*Base.so*
%{_libdir}/%{name}/images/*
%dir %{_libdir}/%{name}/wav
%{_libdir}/%{name}/wav/call.wav
%{_libdir}/%{name}/wav/click.wav
%{_libdir}/%{name}/wav/invited.wav
%{_libdir}/%{name}/wav/kill.wav
%{_libdir}/%{name}/wav/move.wav
%{_libdir}/%{name}/wav/msg.wav
%{_libdir}/%{name}/wav/number1.wav
%{_libdir}/%{name}/wav/number2.wav
%{_libdir}/%{name}/wav/number3.wav
%{_libdir}/%{name}/wav/number4.wav
%{_libdir}/%{name}/wav/number5.wav
%{_libdir}/%{name}/wav/number6.wav
%{_libdir}/%{name}/wav/number7.wav
%{_libdir}/%{name}/wav/number8.wav
%{_libdir}/%{name}/wav/number9.wav
%{_libdir}/%{name}/wav/out.wav
%{_libdir}/%{name}/wav/wait.wav
%dir %{_libdir}/%{name}/wav/language/Chinese
%{_libdir}/%{name}/wav/language/Chinese/*.wav

%_iconsdir/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%if %mdkversion < 200900
%post hall
%{update_menus}
%endif

%if %mdkversion < 200900
%postun hall
%{clean_menus}
%endif

%package blackjack
Summary:	Bluedj online games - Blackjack
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description blackjack
The bluedj-blackjack package includes the library of game blackjack.
%files blackjack
%{_libdir}/%{name}/modules/*Blackjack.so*

%package chaodip
Summary:	Bluedj online games - Chaodip
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description chaodip
The bluedj-chaodip package includes the library of game chaodip.
%files chaodip
%{_libdir}/%{name}/modules/*Chaodip.so*

%package chinesechess
Summary:	Bluedj online games - Chinesechess
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description chinesechess
The bluedj-chinesechess package includes the library of game chinesechess.
%files chinesechess
%{_libdir}/%{name}/modules/*ChineseChess.so*

%package chudd
Summary:	Bluedj online games - Chudd
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description chudd
The bluedj-chudd package includes the library of game chudd.
%files chudd
%{_libdir}/%{name}/modules/*Chudd.so*

%package gdmahjong
Summary:	Bluedj online games - GDMahjong
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description gdmahjong
The bluedj-gdmahjong package includes the library of game gdmahjong.
%files gdmahjong
%{_libdir}/%{name}/modules/*GDMahjong.so*

%package gongzhu
Summary:	Bluedj online games - GongZhu
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description gongzhu
The bluedj-gongzhu package includes the library of game gongzhu.
%files gongzhu
%{_libdir}/%{name}/modules/*GongZhu.so*

%package interlink
Summary:	Bluedj online games - Interlink
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description interlink
The bluedj-interlink package includes the library of game interlink.
%files interlink
%{_libdir}/%{name}/modules/*Interlink.so*
%dir %{_libdir}/%{name}/wav/Interlink
%{_libdir}/%{name}/wav/Interlink/*.wav

%package landbattle
Summary:	Bluedj online games - LandBattle
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description landbattle
The bluedj-interlink package includes the library of game landbattle.
%files landbattle
%{_libdir}/%{name}/modules/*LandBattle.so*
%dir %{_libdir}/%{name}/wav/LandBattle
%{_libdir}/%{name}/wav/LandBattle/*.wav

%package landlord
Summary:	Bluedj online games - LandLord
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description landlord
The bluedj-interlink package includes the library of game landlord.
%files landlord
%{_libdir}/%{name}/modules/*LandLord.so*

%package mahjong
Summary:	Bluedj online games - Mahjong
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description mahjong
The bluedj-mahjong package includes the library of game mahjong.
%files mahjong
%{_libdir}/%{name}/modules/libMahjong.so*
%dir %{_libdir}/%{name}/wav/Mahjong
%{_libdir}/%{name}/wav/Mahjong/*.wav

%package niuniu
Summary:	Bluedj online games - NiuNiu
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description niuniu
The bluedj-niuniu package includes the library of game niuniu.
%files niuniu
%{_libdir}/%{name}/modules/*NiuNiu.so*

%package renju
Summary:	Bluedj online games - Renju
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description renju
The bluedj-renju package includes the library of game renju.
%files renju
%{_libdir}/%{name}/modules/*Renju.so*

%package shisensho
Summary:        Bluedj online games - Shisensho
Group:          Games/Other
Requires:       %{name}-hall = %{version}
%description shisensho
The bluedj-shisensho package includes the library of game Shisensho.
%files shisensho
%{_libdir}/%{name}/modules/*Shisensho.so*

%package suoha
Summary:	Bluedj online games - Suoha
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description suoha
The bluedj-suoha package includes the library of game suoha.
%files suoha
%{_libdir}/%{name}/modules/*Suoha.so*

%package upgrade
Summary:	Bluedj online games - Upgrade
Group:		Games/Other
Requires:	%{name}-hall = %{version}
%description upgrade
The bluedj-upgrade package includes the library of game upgrade.
%files upgrade
%{_libdir}/%{name}/modules/*Upgrade.so*


%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.2.0-5mdv2010.0
+ Revision: 436846
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.2.0-4mdv2009.1
+ Revision: 350721
- rebuild

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 3.2.0-3mdv2009.0
+ Revision: 263975
- rebuild with new compile flags :(

* Sun Jun 22 2008 Funda Wang <fundawang@mandriva.org> 3.2.0-2mdv2009.0
+ Revision: 227885
- more gcc 4.3 patch
- add gcc 4.3 patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 12 2008 Funda Wang <fundawang@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 192604
- New version 3.2.0

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 3.1.2-7mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-7mdv2008.0
+ Revision: 93476
- Requires xdg-utils for hall
- add patch to use xdg-open for URLs

* Wed Sep 12 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-6mdv2008.0
+ Revision: 84619
- fix startup script

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Apr 21 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-5mdv2008.0
+ Revision: 16451
- enabling debug.

* Fri Apr 20 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-4mdv2008.0
+ Revision: 15236
- fix file conflict.

* Wed Apr 18 2007 Funda Wang <fundawang@mandriva.org> 3.1.2-3mdv2008.0
+ Revision: 14884
- spec cleanup.
- Import bluedj



* Wed Apr 17 2007 Funda Wang <fundawang@gmail.com> 3.1.2-3mdv2008.0
- First Mandriva package
